curl --request GET \
--url https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": 200,
"router": "/api/v1/tiktok/analytics/fetch_video_metrics",
"params": {
"item_id": "7502551047378832671"
},
"data": {
"item_id": "7502551047378832671",
"video_views": {
"value": 1555500
},
"likes": {
"value": 11571
},
"comments": {
"value": 6920
},
"favorites": {
"value": 1243
},
"video_summary": {
"title": "Overview",
"content": "This post received more comments per view than most other posts."
}
}
}Get video metrics
Get video metrics
curl --request GET \
--url https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": 200,
"router": "/api/v1/tiktok/analytics/fetch_video_metrics",
"params": {
"item_id": "7502551047378832671"
},
"data": {
"item_id": "7502551047378832671",
"video_views": {
"value": 1555500
},
"likes": {
"value": 11571
},
"comments": {
"value": 6920
},
"favorites": {
"value": 1243
},
"video_summary": {
"title": "Overview",
"content": "This post received more comments per view than most other posts."
}
}
}code is 200.
Example
curl "https://api.aisa.one/apis/v1/tikhub/tiktok/analytics/fetch_video_metrics?item_id=7502551047378832671" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
AIsa API key. Get yours at https://aisa.one
Query Parameters
Video ID, required parameter, can be obtained from video sharing links or TikTok Studio
Response
Successful Response
Return Description
item_id: The requested video IDvideo_views: Total number of video viewsvalue: View count value
video_views_14_days: Daily view trends for the past 14 daysinterval: Data interval typevalue: List of daily data
likes: Total number of likes on the videovalue: Like count value
likes_14_days: Daily like trends for the past 14 dayscomments: Total number of comments on the videovalue: Comment count value
comments_14_days: Daily comment trends for the past 14 daysfavorites: Total number of times the video was favoritedvalue: Favorite count value
favorites_14_days: Daily favorite trends for the past 14 daysvideo_summary: Overview analysis of video performancetitle: Overview titlecontent: Overview contentsummary_type: Overview type
The media-type example is an illustrative response from the official documentation, not a live response. Its router and params metadata use upstream naming.
HTTP status code
Unique request identifier
Response message (EN-US)
Response message (ZH-CN)
Support message
The time the response was generated
The timestamp the response was generated
The timezone of the response time
Link to the API Swagger documentation for this endpoint
Cache message (EN-US)
Cache message (ZH-CN)
The URL to access the cached result
The endpoint that generated this response
The parameters used in the request
Endpoint-specific response payload. The official shared model does not declare a fixed type or field set. Use the operation's documented return fields or response example; an operation-specific schema, when present, describes the documented fields. Undocumented fields must be read from the actual response rather than assumed.